SSH Problems with iphone 2.1/Cant Add .IPA Files

illmatickal

macrumors newbie
Original poster
Sep 14, 2008
1
0
I have a first gen iphone and i just upgraded it to 2.1 from 2.0 this morning. My cracked apps no longer works as expected. When I SSH into my phone using cyberduck, I no longer see the application folders and etc. I included two screenshots of what I'm talking about. Is there a way to have it show up again so I can change the mobileinstallation file?

Any advice/help would be appreciated. Thanks!
 

Attachments


LSUtigers03

macrumors 68020
Apr 9, 2008
2,086
41
I have a first gen iphone and i just upgraded it to 2.1 from 2.0 this morning. My cracked apps no longer works as expected. When I SSH into my phone using cyberduck, I no longer see the application folders and etc. I included two screenshots of what I'm talking about. Is there a way to have it show up again so I can change the mobileinstallation file?

Any advice/help would be appreciated. Thanks!
The mobileinstallation file is in /System/Library/PrivateFrameworks/MobileInstallation.framework
 

LSUtigers03

macrumors 68020
Apr 9, 2008
2,086
41
With 2.1, you will need the 2.1 Patched version of MobileInstallation. This is different to the <2.0.2 version.

You may download it with torrent here:

http://www.mininova.org/tor/1804415

Put this in the correct folder and change the permissions to 755.
I'm using the same mobileinstallation file that I used on 2.0.2 and the permissions are set at 775. All my cracked apps work perfectly on 2.1
 

Enigmafan420

macrumors 6502a
Apr 18, 2008
893
0
Puget Sound, U.S.A.
I'm using the same mobileinstallation file that I used on 2.0.2 and the permissions are set at 775. All my cracked apps work perfectly on 2.1
Wierd, it did not work for me-when I tried to reboot, the phone hung on the pwnapple picture...

I have got the new mobileinstallation file and all is good-I believe the permissions need to be 775 not 755-that is what mine are and it is working.

Supposedly 755 was bad on the 2.0.X version, not sure why-so I assumed the 2.1.X version needed 775 as well.